Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 16 Jul 2010 18:14:25 +0900

>>>>> On Fri, 16 Jul 2010 08:39:28 +0200, Jan Djärv <[email-masked]> said:

> How do you find the difference between inner and outer window edges
> with such a function?

I think the primary intention of the left/top frame parameters are
coordinates of the top-left corner of the title bar, because
x_set_offset basically sets the outer window's position to
f->left_pos, and f->top_pos.  That is also consistent with the
geometry specification.  In that case, the difference can be computed
from these frame parameters and the absolute coordinates of top-left
corner of the frame.

				     YAMAMOTO Mitsuharu
				[email-masked]